// oct.f.glsl
//

#version 330 core

flat in vec3 color;

out vec4 out_color;

uniform int reverse_colors;

void main() {
  
  if (reverse_colors != 0) {
    
    out_color = vec4(vec3(1.0, 1.0, 1.0) - color, 1.0);
    
  } else {
    
    out_color = vec4(color, 1.0);
    
  }

}

